Index: debian/changelog
===================================================================
--- debian/changelog	(revision 2044)
+++ debian/changelog	(working copy)
@@ -10,8 +10,14 @@
   * debcommit: Add support for having only debian/ under a svn, cvs or darcs
     VCS (Closes: #450878)
 
- -- James Vega <jamessan@debian.org>  Sat, 28 Nov 2009 16:04:37 -0500
+  [ Iain Lane ]
+  * bts: Append "thanks" to control command mails as some SMTP servers can be
+    configured to append a signature (commonly a disclaimer) to all outgoing
+    mail, which makes the BTS none too happy when it tries to process them as
+    commands. (Closes: #542962)
 
+ -- Iain Lane <laney@ubuntu.com>  Mon, 30 Nov 2009 12:02:29 +0000
+
 devscripts (2.10.58) unstable; urgency=low
 
   * who-uploads: Correct the argument to wget's -O option.  Thanks to
Index: scripts/bts.pl
===================================================================
--- scripts/bts.pl	(revision 2044)
+++ scripts/bts.pl	(working copy)
@@ -739,6 +739,9 @@
     }
 }
 
+# Some outgoing MTAs are known to append signatures which we don't want the BTS to process as commands
+$body .= "\nthanks" if length $body;
+
 # Send all cached commands.
 mailbtsall($subject, $body) if length $body;
 
